import request from "@/utils/request.js";

/**
 * 支付宝转账充值
 *
 */
export function rechargeAlipayAPI(data) {
  return request.post("user/recharge/alipay-transfer", data);
}
export function rechargeBankAPI(data) {
  return request.post("user/recharge/bank-transfer", data);
}

// 充值金料
export function rechargeGoldAPI(data) {
  return request.post("metal/buy", data);
}
// 金料兑换余额
export function exchangeGoldAPI(data) {
  return request.post("metal/exchange", data);
}
// 卖料-约价回收
export function recycleCreateAPI(data) {
  return request.post("recycle/create", data);
}
// 卖料-约价回收订单列表
export function recycleListAPI(params) {
  return request.get("recycle/list", params);
}
// 取消订单
export function recycleCancelAPI(params) {
  return request.get("recycle/cancel", params);
}
// 更新快递单号和实物图片
export function recyclUpdateAPI(data) {
  return request.post("recycle/update-express", data);
}
// 用户确认报告
export function recyclDetectionReportAPI(orderNo) {
  return request.get(`recycle/detectionReport-notarize/${orderNo}`);
}
// 创建邮寄存金记录
export function depositCreateAPI(data) {
  return request.post(`postal-deposit/create`, data);
}
// 邮费支付成功回调
export function postalDepositCallbackAPI(params) {
  return request.get(`postal-deposit/postage/callback`, params);
}
// 分页查询邮寄存金记录
export function depositPageAPI(params) {
  return request.get(`postal-deposit/page`, params);
}
// 用户确认报告
export function postalDepositAPI(postalId) {
  return request.get(`postal-deposit/user/notarize/${postalId}`);
}
// 创建无物流存金订单
export function noLogisticsCreateAPI(data) {
  return request.post("no-logistics-deposit/create", data);
}
// 创建好评返现订单
export function goodReviewCreateAPI(data) {
  return request.post("good-review/create", data);
}
// 查询用户好评返现订单
export function goodReviewListAPI(params) {
  return request.get(`good-review/list`, params);
}
// export function depositPageAPI(data) {
//   return request.post(`postal-deposit/page`, data);
// }
/**
 * 购买svip
 *
 */
export function svipBuy(data) {
  return request.post("svip/buy", data);
}
// 约价回收定金支付成功回调
export function recyclePreOrderSuccessAPI(params) {
  return request.get("recycle/deposit/callback", params);
}